#!/usr/bin/env python
# -*- coding: utf-8 -*-

# simple support routines to allow use of utf-8 encoded bytestrings as paths in main program
# to be converted on the fly to full unicode strings for Windows behind the scenes so to speak


import sys, os
import locale
import codecs

iswindows = sys.platform.startswith('win')
# fsenc = sys.getfilesystemencoding()

def s2path(s):
    if iswindows:
        return s.decode('utf-8')
    # return s.decode('utf-8').encode(fsenc)
    return s

def exists(s):
    return os.path.exists(s2path(s))

def isfile(s):
    return os.path.isfile(s2path(s))

def isdir(s):
    return os.path.isdir(s2path(s))

def mkdir(s):
    return os.mkdir(s2path(s))

def listdir(s):
    rv = []
    for file in os.listdir(s2path(s)):
        rv.append(path2s(file))
    return rv

def path2s(p):
    global fsenc
    if isinstance(p, unicode):
        return p.encode('utf-8')
    # return p.decode(fsenc).encode('utf-8')
    return p

